<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:38 CEST 2019 -->
<title>org.firebirdsql.jca (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.jca (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jaybird/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/jdbc/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.jca</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca">FirebirdLocalTransaction</a></td>
<td class="colLast">
<div class="block">Extention of the <code>LocalTransaction</code> interface
 to tell whether the underlying managed connection is currently participating
 in some transaction or not and to obtain the associated Xid.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBConnectionRequestInfo.html" title="class in org.firebirdsql.jca">FBConnectionRequestInfo</a></td>
<td class="colLast">
<div class="block">The class <code>FBConnectionRequestInfo</code> holds a clumplet that is
 used to store and transfer connection-specific information such as user,
 password, and other dpb information..</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.html" title="class in org.firebirdsql.jca">FBLocalTransaction</a></td>
<td class="colLast">
<div class="block">The class <code>FBLocalTransaction</code> implements LocalTransaction both
 in the cci and spi meanings.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBLocalTransaction.FBLocalXid.html" title="class in org.firebirdsql.jca">FBLocalTransaction.FBLocalXid</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBManagedConnection.html" title="class in org.firebirdsql.jca">FBManagedConnection</a></td>
<td class="colLast">
<div class="block">The class <code>FBManagedConnection</code> implements both the
 ManagedConnection and XAResource interfaces.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBManagedConnectionFactory.html" title="class in org.firebirdsql.jca">FBManagedConnectionFactory</a></td>
<td class="colLast">
<div class="block">FBManagedConnectionFactory implements the jca ManagedConnectionFactory
 interface and also many of the internal functions of ManagedConnection.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBManagedConnectionMetaData.html" title="class in org.firebirdsql.jca">FBManagedConnectionMetaData</a></td>
<td class="colLast">
<div class="block">The class <code>FBManagedConnectionMetaData</code> implements 
 <code>javax.resource.sqi.ManagedConnectionMetaData</code>, providing almost 
 no useful information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBStandAloneConnectionManager.html" title="class in org.firebirdsql.jca">FBStandAloneConnectionManager</a></td>
<td class="colLast">
<div class="block">The class <code>FBStandAloneConnectionManager</code> provides the 
 default implementation of ConnectionManager for standalone use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca">FBTpb</a></td>
<td class="colLast">
<div class="block">The <code>FBTpb</code> class represents the Firebird Transaction Parameter
 Block (TPB), which contains Firebird-specific information about transaction
 isolation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBIncorrectXidException.html" title="class in org.firebirdsql.jca">FBIncorrectXidException</a></td>
<td class="colLast">
<div class="block">This error is thrown when message read from the RDB$TRANSACTIONS table does
 not represent a serialized Xid.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBResourceException.html" title="class in org.firebirdsql.jca">FBResourceException</a></td>
<td class="colLast">
<div class="block"><code>FBResourceException</code> should be used in places where <code>ResourceException</code> should be thrown according to
 the interface specification, but we do not want to lose the exception that we caught.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBResourceTransactionException.html" title="class in org.firebirdsql.jca">FBResourceTransactionException</a></td>
<td class="colLast">
<div class="block">Exception represents transaction error in resource.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../org/firebirdsql/jca/FBXAException.html" title="class in org.firebirdsql.jca">FBXAException</a></td>
<td class="colLast">
<div class="block">Convenience exception that adds constructor taking message and error code
 together.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jaybird/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../org/firebirdsql/jdbc/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
